using APT.Infrastructure.Core;

using System;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
	[Description("资源表")]

	public partial class T_PF_CLIENT_SCOPES : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Scope")]
        [Description("资源ID")]
        public Guid SCOPE_ID { get; set; }

        [DataFieldForeignKey("Nav_DataChanel", "Nav_ClientScopes")]
        [Description("通道ID")]
        public Guid DATA_CHANNEL_ID { get; set; }


        [Description("导航：资源表")]
        public T_PF_SCOPES Nav_Scope { get; set; }


        [Description("导航：资源表")]
        public T_PF_DATA_CHANNEL Nav_DataChanel { get; set; }


    }
}
